Retrieve all forms within a specific workspace. Returns lightweight form summaries (excludes properties). Use the Get Form endpoint to retrieve the full form with all fields. Requires forms-read ability.
This endpoint returns lightweight form summaries optimized for listing. The properties array (form fields and blocks) is excluded to reduce response size. Use the Get Form endpoint to retrieve the complete form with all fields.
To get the full form including fields (properties), call the Get Form endpoint with the form’s slug or id.
403 Forbidden – The token does not include the required forms-read ability, or you do not have access to the workspace.404 Not Found – The workspace does not exist.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"OpnForm Technical Docs","colors":{"primary":"#3b82f6","light":"#60a5fa","dark":"#2563eb"},"logo":{"light":"https://mintcdn.com/opnform/OUqYLvFvGemD8lSt/logo.svg?fit=max\u0026auto=format\u0026n=OUqYLvFvGemD8lSt\u0026q=85\u0026s=60c8619bcad52d227a058cc4a5f06955","dark":"https://mintcdn.com/opnform/OUqYLvFvGemD8lSt/logo.svg?fit=max\u0026auto=format\u0026n=OUqYLvFvGemD8lSt\u0026q=85\u0026s=60c8619bcad52d227a058cc4a5f06955"},"favicon":"https://mintcdn.com/opnform/OUqYLvFvGemD8lSt/logo.svg?fit=max\u0026auto=format\u0026n=OUqYLvFvGemD8lSt\u0026q=85\u0026s=60c8619bcad52d227a058cc4a5f06955","navbar":{"links":[{"href":"https://opnform.com?utm_source=docs\u0026utm_medium=topbar\u0026utm_campaign=technical_docs","label":"OpnForm"},{"href":"https://github.com/OpnForm/OpnForm","label":"GitHub"}],"primary":{"type":"button","label":"Dashboard","href":"https://opnform.com"}},"footer":{"socials":{"twitter":"https://twitter.com/opnform","github":"https://github.com/OpnForm/OpnForm"}},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Product Documentation","icon":"book-open-cover","href":"https://help.opnform.com"},{"anchor":"Community","icon":"discord","href":"https://discord.gg/YTSjU2a9TS"},{"anchor":"Changelog","icon":"sparkles","href":"https://feedback.opnform.com/changelog"},{"anchor":"Roadmap","icon":"road","href":"https://feedback.opnform.com/roadmap"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"opnform","hasAudioNarration":false,"actualSubdomain":"opnform","customDomains":["docs.opnform.com"],"gitSource":{"type":"github","owner":"opnform","repo":"opnform","deployBranch":"main","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae4765f812f7e980ce50ded","collectionId":"5e6479b9-2264-435b-92e1-fde87b676701","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae4765f812f7e980ce50ded"},"feedback":{"edits":true,"thumbs":true},"entitlements":{},"buildId":"6ae4765f812f7e980ce50ded","clientVersion":"0.0.4054","searchFilterCounts":[{"language":"default","tag":"API Reference","count":38},{"language":"default","tag":"Documentation","count":29},{"language":"default","tag":"Contributing","count":11},{"language":"default","tag":"Configuration","count":9},{"language":"default","tag":"Integrations","count":8},{"language":"default","tag":"Workspace Users","count":8},{"language":"default","tag":"Self-hosted Enterprise","count":7},{"language":"default","tag":"Submissions","count":6},{"language":"default","tag":"Deployment","count":6},{"language":"default","tag":"Forms","count":5}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/forms/list-workspace-forms","slug":"/api-reference/forms/list-workspace-forms","pageMetadata":{"openapi":"get /open/workspaces/{workspaceId}/forms","title":"List Workspace Forms","description":"Retrieve all forms within a specific workspace. Returns lightweight form summaries (excludes `properties`). Use the Get Form endpoint to retrieve the full form with all fields. Requires `forms-read` ability.","href":"/api-reference/forms/list-workspace-forms"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Retrieve all forms within a specific workspace. Returns lightweight form summaries (excludes \", _jsx(_components.code, {\n children: \"properties\"\n }), \"). Use the Get Form endpoint to retrieve the full form with all fields. Requires \", _jsx(_components.code, {\n children: \"forms-read\"\n }), \" ability.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,Heading,Info,Table,Tip}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Info)_missingMdxReference(`Info`,true);if(!Table)_missingMdxReference(`Table`,true);if(!Tip)_missingMdxReference(`Tip`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Retrieve all forms within a specific workspace.`}),`\n`,_jsx(Info,{children:_jsxs(_components.p,{children:[`This endpoint returns `,_jsx(_components.strong,{children:`lightweight form summaries`}),` optimized for listing. The `,_jsx(_components.code,{children:`properties`}),` array (form fields and blocks) is excluded to reduce response size. Use the `,_jsx(_components.a,{href:`/api-reference/forms/get-form`,children:`Get Form`}),` endpoint to retrieve the complete form with all fields.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`authentication-\u0026-scope`,children:`Authentication \u0026 Scope`}),`\n`,_jsxs(_components.p,{children:[`This request must be authenticated using a `,_jsx(_components.strong,{children:`Personal Access Token`}),` that includes the `,_jsx(_components.code,{children:`forms-read`}),` ability.`]}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`1`,language:`http`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`http`,children:_jsxs(_components.code,{language:`http`,numberOfLines:`1`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`Authorization`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` Bearer \u003ctoken>`})]}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`request`,children:`Request`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`3`,language:`http`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`http`,children:_jsxs(_components.code,{language:`http`,numberOfLines:`3`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`GET`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` /open/workspaces/{workspaceId}/forms `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`HTTP`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`/`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1.1`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`Host`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` api.opnform.com`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`Authorization`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` Bearer \u003ctoken>`})]}),`\n`]})})}),`\n`,_jsx(Heading,{level:`3`,id:`path-parameters`,children:`Path Parameters`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Description`})]})}),_jsx(_components.tbody,{children:_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`workspaceId`}),_jsx(_components.td,{children:`number`}),_jsx(_components.td,{children:`ID of the workspace to retrieve forms from.`})]})})]}),`\n`,_jsx(Heading,{level:`3`,id:`query-parameters`,children:`Query Parameters`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Description`}),_jsx(_components.th,{children:`Default`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`page`}),_jsx(_components.td,{children:`number`}),_jsx(_components.td,{children:`Page number for pagination.`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`1`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`per_page`}),_jsx(_components.td,{children:`number`}),_jsx(_components.td,{children:`Number of forms per page (minimum 1, maximum 100).`}),_jsx(_components.td,{\"data-numeric\":`true`,children:`10`})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.code,{children:`200 OK`}),` – Returns a paginated JSON response containing lightweight form summaries.`]}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`28`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`28`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`42`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"slug\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"customer-feedback\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"title\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Customer Feedback\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"visibility\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"public\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"tags\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"feedback\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"support\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"views_count\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1250`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"submissions_count\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`15`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2024-11-15T10:30:00+00:00\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updated_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-01-02T14:25:00+00:00\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"last_edited_human\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2 hours ago\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"closes_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_closed\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"max_submissions_count\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"max_number_of_submissions_reached\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_pro\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"workspace_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"share_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://opnform.com/forms/customer-feedback\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"meta\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"current_page\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"per_page\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`10`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"total\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Tip,{children:_jsxs(_components.p,{children:[`To get the full form including fields (`,_jsx(_components.code,{children:`properties`}),`), call the `,_jsx(_components.a,{href:`/api-reference/forms/get-form`,children:`Get Form`}),` endpoint with the form’s `,_jsx(_components.code,{children:`slug`}),` or `,_jsx(_components.code,{children:`id`}),`.`]})}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.code,{children:`403 Forbidden`}),` – The token does not include the required `,_jsx(_components.code,{children:`forms-read`}),` ability, or you do not have access to the workspace.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.code,{children:`404 Not Found`}),` – The workspace does not exist.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"get /open/workspaces/{workspaceId}/forms","title":"List Workspace Forms","description":"Retrieve all forms within a specific workspace. Returns lightweight form summaries (excludes `properties`). Use the Get Form endpoint to retrieve the full form with all fields. Requires `forms-read` ability.","href":"/api-reference/forms/list-workspace-forms"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Authentication \u0026 Scope","slug":"authentication-\u0026-scope","depth":2,"children":[]},{"title":"Request","slug":"request","depth":2,"children":[{"title":"Path Parameters","slug":"path-parameters","depth":3,"children":[]},{"title":"Query Parameters","slug":"query-parameters","depth":3,"children":[]}]},{"title":"Response","slug":"response","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Forms"],"summary":"List Workspace Forms","description":"Retrieve all forms within a specific workspace. Returns lightweight form summaries (excludes `properties`). Use the Get Form endpoint to retrieve the full form with all fields. Requires `forms-read` ability.","security":["e34fc859-c36d-4d82-b344-a4d6fbfa29a7"],"parameters":["2178179a-1c13-410c-a214-916b69786c83","a88831a2-ba90-4319-b3ca-d568121f8444","51cbfe73-848a-477a-9408-8892bc1ca261"],"responses":{"200":"01743999-36c2-4233-b472-09e1e7059a57","403":"972d780d-3849-4ca5-9b6b-04a02b6e33d6","404":"5b434b64-608e-4d6a-81f4-ca025cb2e072"},"method":"get","type":"path","servers":["76717736-54ad-4f96-9ae4-ef1fd42de952"],"path":"/open/workspaces/{workspaceId}/forms","baseUrlOptions":["https://api.opnform.com"],"title":"List Workspace Forms","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"2178179a-1c13-410c-a214-916b69786c83":{"name":"workspaceId","in":"path","required":true,"schema":{"type":"number","description":"ID of the workspace to retrieve forms from.","isRequired":true,"uniqueKey":"","typeLabel":"number"}},"a88831a2-ba90-4319-b3ca-d568121f8444":{"name":"page","in":"query","required":false,"schema":{"type":"number","minimum":1,"default":1,"isRequired":false,"description":"Pagination page number","uniqueKey":"","typeLabel":"number"},"description":"Pagination page number"},"51cbfe73-848a-477a-9408-8892bc1ca261":{"name":"per_page","in":"query","required":false,"schema":{"type":"number","minimum":1,"maximum":100,"default":10,"isRequired":false,"description":"Number of forms per page","uniqueKey":"","typeLabel":"number"},"description":"Number of forms per page"}},"responses":{"01743999-36c2-4233-b472-09e1e7059a57":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","description":"A lightweight form summary returned by list endpoints. Use the Get Form endpoint to retrieve full form details including properties.","properties":{"id":{"type":"number","description":"The unique identifier for the form.","readOnly":true,"uniqueKey":"data.items.[INDEX].id","typeLabel":"number"},"slug":{"type":"string","description":"The URL-friendly slug for the form.","readOnly":true,"uniqueKey":"data.items.[INDEX].slug","typeLabel":"string"},"title":{"type":"string","description":"The title of the form.","uniqueKey":"data.items.[INDEX].title","typeLabel":"string"},"visibility":{"type":"string","enum":["public","draft","closed"],"description":"The current visibility state of the form.","uniqueKey":"data.items.[INDEX].visibility","typeLabel":"enum\u003cstring>"},"tags":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"data.items.[INDEX].tags.oneOf.0.items.[INDEX]","typeLabel":"string"},"uniqueKey":"data.items.[INDEX].tags.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"uniqueKey":"data.items.[INDEX].tags.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.items.[INDEX].tags","typeLabel":"string[] | null"},"views_count":{"type":"number","description":"Total number of form views.","uniqueKey":"data.items.[INDEX].views_count","typeLabel":"number"},"submissions_count":{"type":"number","description":"Total number of completed submissions.","uniqueKey":"data.items.[INDEX].submissions_count","typeLabel":"number"},"created_at":{"type":"string","format":"date-time","description":"ISO 8601 timestamp of when the form was created.","uniqueKey":"data.items.[INDEX].created_at","typeLabel":"string\u003cdate-time>"},"updated_at":{"type":"string","format":"date-time","description":"ISO 8601 timestamp of when the form was last modified.","uniqueKey":"data.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"},"last_edited_human":{"type":"string","description":"Human-readable time since last edit (e.g., \"2 hours ago\").","uniqueKey":"data.items.[INDEX].last_edited_human","typeLabel":"string"},"closes_at":{"oneOf":[{"type":"string","format":"date-time","description":"When the form will close for submissions.","uniqueKey":"data.items.[INDEX].closes_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"When the form will close for submissions.","uniqueKey":"data.items.[INDEX].closes_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.items.[INDEX].closes_at","typeLabel":"string\u003cdate-time> | null"},"is_closed":{"type":"boolean","description":"Whether the form is currently closed.","uniqueKey":"data.items.[INDEX].is_closed","typeLabel":"boolean"},"max_submissions_count":{"oneOf":[{"type":"integer","minimum":1,"description":"Maximum number of submissions allowed.","uniqueKey":"data.items.[INDEX].max_submissions_count.oneOf.0","typeLabel":"integer"},{"type":"null","minimum":1,"description":"Maximum number of submissions allowed.","uniqueKey":"data.items.[INDEX].max_submissions_count.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.items.[INDEX].max_submissions_count","typeLabel":"integer | null"},"max_number_of_submissions_reached":{"type":"boolean","description":"Whether the submission limit has been reached.","uniqueKey":"data.items.[INDEX].max_number_of_submissions_reached","typeLabel":"boolean"},"is_pro":{"type":"boolean","description":"Whether the form's workspace has a Pro subscription.","uniqueKey":"data.items.[INDEX].is_pro","typeLabel":"boolean"},"workspace_id":{"type":"number","description":"ID of the workspace that owns the form.","uniqueKey":"data.items.[INDEX].workspace_id","typeLabel":"number"},"share_url":{"type":"string","format":"uri","description":"Public URL to share the form.","uniqueKey":"data.items.[INDEX].share_url","typeLabel":"string\u003curi>"}},"uniqueKey":"data.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data","typeLabel":"object[]"},"links":{"type":"object","properties":{"first":{"type":"string","uniqueKey":"links.first","typeLabel":"string"},"last":{"type":"string","uniqueKey":"links.last","typeLabel":"string"},"prev":{"oneOf":[{"type":"string","uniqueKey":"links.prev.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"links.prev.oneOf.1","typeLabel":"null"}],"uniqueKey":"links.prev","typeLabel":"string | null"},"next":{"oneOf":[{"type":"string","uniqueKey":"links.next.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"links.next.oneOf.1","typeLabel":"null"}],"uniqueKey":"links.next","typeLabel":"string | null"}},"uniqueKey":"links","typeLabel":"object"},"meta":{"type":"object","properties":{"current_page":{"type":"number","uniqueKey":"meta.current_page","typeLabel":"number"},"from":{"type":"number","uniqueKey":"meta.from","typeLabel":"number"},"last_page":{"type":"number","uniqueKey":"meta.last_page","typeLabel":"number"},"per_page":{"type":"number","uniqueKey":"meta.per_page","typeLabel":"number"},"to":{"type":"number","uniqueKey":"meta.to","typeLabel":"number"},"total":{"type":"number","uniqueKey":"meta.total","typeLabel":"number"}},"uniqueKey":"meta","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"data":[{"id":123,"slug":"\u003cstring>","title":"\u003cstring>","visibility":"public","tags":["\u003cstring>"],"views_count":123,"submissions_count":123,"created_at":"2023-11-07T05:31:56Z","updated_at":"2023-11-07T05:31:56Z","last_edited_human":"\u003cstring>","closes_at":"2023-11-07T05:31:56Z","is_closed":true,"max_submissions_count":2,"max_number_of_submissions_reached":true,"is_pro":true,"workspace_id":123,"share_url":"\u003cstring>"}],"links":{"first":"\u003cstring>","last":"\u003cstring>","prev":"\u003cstring>","next":"\u003cstring>"},"meta":{"current_page":123,"from":123,"last_page":123,"per_page":123,"to":123,"total":123}}}},"exampleType":"generated"}},"exampleType":"generated"},"972d780d-3849-4ca5-9b6b-04a02b6e33d6":{"description":"Forbidden – token lacks forms-read ability or you do not have access to the workspace","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"5b434b64-608e-4d6a-81f4-ca025cb2e072":{"description":"Workspace not found","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"e34fc859-c36d-4d82-b344-a4d6fbfa29a7":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Personal Access Token","x-bearer-scopemap":{"workspaces-read":"Read access to workspaces","workspaces-write":"Write access to workspaces","workspace-users-read":"Read access to workspace users","workspace-users-write":"Write access to workspace users","forms-read":"Read access to forms","forms-write":"Write access to forms","manage-integrations":"Manage form integrations (webhooks)"},"scopes":[],"schemeName":"bearerAuth"}}},"servers":{"76717736-54ad-4f96-9ae4-ef1fd42de952":{"url":"https://api.opnform.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Personal Access Token","x-bearer-scopemap":{"workspaces-read":"Read access to workspaces","workspaces-write":"Write access to workspaces","workspace-users-read":"Read access to workspace users","workspace-users-write":"Write access to workspace users","forms-read":"Read access to forms","forms-write":"Write access to forms","manage-integrations":"Manage form integrations (webhooks)"},"scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Personal Access Token","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"api-reference/openapi.yaml"},"subdomain":"opnform","siteName":"OpnForm Technical Docs","title":"List Workspace Forms - OpnForm Technical Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-07-29T17:34:57.985Z","originalFileLocation":"api-reference/forms/list-workspace-forms.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieve all forms within a specific workspace. Returns lightweight form summaries (excludes properties). Use the Get Form endpoint to retrieve the full form with all fields. Requires forms-read ability.\">\u003cmeta data-mint-head name=\"application-name\" content=\"OpnForm Technical Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/opnform/j_5DxxKW6ps4uqTV/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/opnform/j_5DxxKW6ps4uqTV/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/opnform/j_5DxxKW6ps4uqTV/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/opnform/j_5DxxKW6ps4uqTV/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/opnform/j_5DxxKW6ps4uqTV/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/opnform/j_5DxxKW6ps4uqTV/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/opnform/j_5DxxKW6ps4uqTV/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/opnform/j_5DxxKW6ps4uqTV/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/opnform/j_5DxxKW6ps4uqTV/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List Workspace Forms - OpnForm Technical Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieve all forms within a specific workspace. Returns lightweight form summaries (excludes properties). Use the Get Form endpoint to retrieve the full form with all fields. Requires forms-read ability.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"OpnForm Technical Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.opnform.com/api-reference/forms/list-workspace-forms\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://opnform.mintlify.app/_mintlify/api/og/v2?division=Forms\u0026amp;title=List+Workspace+Forms\u0026amp;description=Retrieve+all+forms+within+a+specific+workspace.+Returns+lightweight+form+summaries+%28excludes+%60properties%60%29.+Use+the+Get+Form+endpoint+to+retrieve+the+full+form+\u0026amp;theme=555c232e9f4f4ee565ee1c66\u0026amp;signature=674742d1ddd4a65fb82d1cc4fcb10565a8e6f097efe3a18862d408ed03d47984\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List Workspace Forms - OpnForm Technical Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieve all forms within a specific workspace. Returns lightweight form summaries (excludes properties). Use the Get Form endpoint to retrieve the full form with all fields. Requires forms-read ability.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://opnform.mintlify.app/_mintlify/api/og/v2?division=Forms\u0026amp;title=List+Workspace+Forms\u0026amp;description=Retrieve+all+forms+within+a+specific+workspace.+Returns+lightweight+form+summaries+%28excludes+%60properties%60%29.+Use+the+Get+Form+endpoint+to+retrieve+the+full+form+\u0026amp;theme=555c232e9f4f4ee565ee1c66\u0026amp;signature=674742d1ddd4a65fb82d1cc4fcb10565a8e6f097efe3a18862d408ed03d47984\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/opnform/j_5DxxKW6ps4uqTV/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"OpnForm Technical Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3b82f6\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.opnform.com/api-reference/forms/list-workspace-forms\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/forms/list-workspace-forms.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.opnform.com/#organization\",\"name\":\"OpnForm Technical Docs\",\"url\":\"https://docs.opnform.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/opnform/OUqYLvFvGemD8lSt/logo.svg?fit=max\u0026auto=format\u0026n=OUqYLvFvGemD8lSt\u0026q=85\u0026s=60c8619bcad52d227a058cc4a5f06955\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.opnform.com#website\",\"name\":\"OpnForm Technical Docs\",\"url\":\"https://docs.opnform.com\",\"publisher\":{\"@id\":\"https://docs.opnform.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.opnform.com/api-reference/forms/list-workspace-forms#webpage\",\"url\":\"https://docs.opnform.com/api-reference/forms/list-workspace-forms\",\"name\":\"List Workspace Forms\",\"description\":\"Retrieve all forms within a specific workspace. Returns lightweight form summaries (excludes properties). Use the Get Form endpoint to retrieve the full form with all fields. Requires forms-read ability.\",\"dateModified\":\"2026-07-29T17:34:57.985Z\",\"isPartOf\":{\"@id\":\"https://docs.opnform.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.opnform.com/api-reference/forms/list-workspace-forms#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.opnform.com/api-reference/forms/list-workspace-forms#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"OpnForm Technical Docs\",\"item\":\"https://docs.opnform.com\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"List Workspace Forms\",\"item\":\"https://docs.opnform.com/api-reference/forms/list-workspace-forms\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.opnform.com/api-reference/forms/list-workspace-forms#apireference\",\"headline\":\"List Workspace Forms\",\"name\":\"List Workspace Forms\",\"description\":\"Retrieve all forms within a specific workspace. Returns lightweight form summaries (excludes properties). Use the Get Form endpoint to retrieve the full form with all fields. Requires forms-read ability.\",\"url\":\"https://docs.opnform.com/api-reference/forms/list-workspace-forms\",\"mainEntityOfPage\":{\"@id\":\"https://docs.opnform.com/api-reference/forms/list-workspace-forms#webpage\"},\"dateModified\":\"2026-07-29T17:34:57.985Z\",\"publisher\":{\"@id\":\"https://docs.opnform.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.opnform.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"OpnForm Technical Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"OpnForm Technical Docs","nav":{"global":{"anchors":[{"anchor":"Product Documentation","icon":"book-open-cover","href":"https://help.opnform.com"},{"anchor":"Community","icon":"discord","href":"https://discord.gg/YTSjU2a9TS"},{"anchor":"Changelog","icon":"sparkles","href":"https://feedback.opnform.com/changelog"},{"anchor":"Roadmap","icon":"road","href":"https://feedback.opnform.com/roadmap"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"API Reference","groups":[{"group":"Overview","pages":[{"title":"Introduction","href":"/api-reference/introduction"},{"title":"API Keys","href":"/api-reference/api-keys"},{"title":"Changelog","href":"/api-reference/changelog"}]},{"group":"Workspaces","pages":[{"openapi":"get /open/workspaces","title":"List Workspaces","href":"/api-reference/workspaces/list-workspaces"},{"openapi":"post /open/workspaces/create","title":"Create Workspace","href":"/api-reference/workspaces/create-workspace"},{"openapi":"put /open/workspaces/{workspaceId}","title":"Update Workspace","href":"/api-reference/workspaces/update-workspace"},{"openapi":"delete /open/workspaces/{workspaceId}","title":"Delete Workspace","description":"Permanently delete a workspace. Requires `workspaces-write`.","href":"/api-reference/workspaces/delete-workspace"}]},{"group":"Forms","pages":[{"openapi":"get /open/workspaces/{workspaceId}/forms","title":"List Workspace Forms","href":"/api-reference/forms/list-workspace-forms"},{"openapi":"post /open/forms","title":"Create Form","description":"Create a new form; requires forms-write ability.","href":"/api-reference/forms/create-form"},{"openapi":"get /open/forms/{slug}","title":"Get Form","href":"/api-reference/forms/get-form"},{"openapi":"put /open/forms/{id}","title":"Update Form","href":"/api-reference/forms/update-form"},{"openapi":"delete /open/forms/{id}","title":"Delete Form","href":"/api-reference/forms/delete-form"}]},{"group":"Submissions","pages":[{"openapi":"get /open/forms/{id}/submissions","title":"List Submissions","href":"/api-reference/submissions/list-submissions"},{"openapi":"post /forms/{slug}/answer","title":"Create Submission","href":"/api-reference/submissions/create-submission"},{"openapi":"post /open/forms/{id}/submissions/export","title":"Export Submissions (CSV)","href":"/api-reference/submissions/export-submissions-csv"},{"openapi":"get /open/forms/{id}/submissions/export/status/{job_id}","title":"Check Export Status","href":"/api-reference/submissions/export-status"},{"openapi":"put /open/forms/{id}/submissions/{submission_id}","title":"Update Submission","href":"/api-reference/submissions/update-submission"},{"openapi":"delete /open/forms/{id}/submissions/{submission_id}","title":"Delete Submission","href":"/api-reference/submissions/delete-submission"}]},{"group":"Integrations","pages":[{"openapi":"get /open/forms/{form}/integrations","title":"List Form Integrations","href":"/api-reference/integrations/list-form-integrations"},{"openapi":"post /open/forms/{form}/integrations","title":"Create Webhook Integration","href":"/api-reference/integrations/create-webhook-integration"},{"openapi":"put /open/forms/{form}/integrations/{integrationid}","title":"Update Webhook Integration","href":"/api-reference/integrations/update-webhook-integration"},{"openapi":"delete /open/forms/{form}/integrations/{integrationid}","title":"Delete Webhook Integration","href":"/api-reference/integrations/delete-webhook-integration"},{"title":"List Integration Events","openapi":"get /open/forms/{form}/integrations/{integrationid}/events","href":"/api-reference/integrations/list-webhook-events"},{"title":"Retry an Integration Event","openapi":"post /open/forms/{form}/integrations/{integrationid}/events/{event}/retry","href":"/api-reference/integrations/retry-integration-event"},{"title":"Validating Webhook Signatures","href":"/api-reference/integrations/webhook-security"}]},{"group":"Workspace Users","pages":[{"openapi":"get /open/workspaces/{workspaceId}/users","title":"List Workspace Users","href":"/api-reference/workspace-users/list-workspace-users"},{"openapi":"get /open/workspaces/{workspaceId}/invites","title":"List Workspace Invites","href":"/api-reference/workspace-users/list-workspace-invites"},{"openapi":"post /open/workspaces/{workspaceId}/users/add","title":"Add Workspace User","href":"/api-reference/workspace-users/add-workspace-user"},{"openapi":"delete /open/workspaces/{workspaceId}/users/{userId}/remove","title":"Remove Workspace User","href":"/api-reference/workspace-users/remove-workspace-user"},{"openapi":"put /open/workspaces/{workspaceId}/users/{userId}/update-role","title":"Update Workspace User Role","href":"/api-reference/workspace-users/update-workspace-user-role"},{"openapi":"post /open/workspaces/{workspaceId}/leave","title":"Leave Workspace","href":"/api-reference/workspace-users/leave-workspace"},{"openapi":"post /open/workspaces/{workspaceId}/invites/{inviteId}/resend","title":"Resend Workspace Invite","href":"/api-reference/workspace-users/resend-workspace-invite"},{"openapi":"delete /open/workspaces/{workspaceId}/invites/{inviteId}/cancel","title":"Cancel Workspace Invite","href":"/api-reference/workspace-users/cancel-workspace-invite"}]},{"group":"Zapier","pages":[{"openapi":"get /external/zapier/validate","title":"Validate API Key","href":"/api-reference/zapier/validate-api-key"},{"openapi":"get /external/zapier/forms","title":"List Forms","href":"/api-reference/zapier/list-forms"},{"openapi":"post /external/zapier/webhook","title":"New Submission Trigger","href":"/api-reference/zapier/new-submission-trigger"},{"openapi":"delete /external/zapier/webhook","title":"Unsubscribe Webhook","href":"/api-reference/zapier/unsubscribe-webhook"},{"openapi":"get /external/zapier/submissions/recent","title":"Sample Submission Polling","href":"/api-reference/zapier/sample-submission-polling"}]}]},{"tab":"Contributing","pages":[{"title":"Contributing","href":"/contributing/getting-started"}]}]},"basePath":"","title":"List Workspace Forms - OpnForm Technical Docs","buildId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","deploymentId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-C8RPHPxo.js","utils-0BK-9q6z.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DfjzsUJT.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B4v9psJ4.js","snippetPresets-CpTQv-Ez.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-BNP-Fvr0.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BSgu6h1D.js","shallow-Biv1i9Gs.js","getApiPlaygroundDisplay-BoGOXhtF.js","CodeSnippet-DvQoT18_.js","CodeSnippets-Dnpa15xT.js","Page-Buji1S4J.js","getPastedJson-xAIyhUFE.js","icon-S6FBih11.js","MethodPill-SaYeUZyk.js","DuplicateIcon-Cs-p3v2Q.js","createIcon-DjCFEoHq.js","DynamicMarkdown-BcnBltEQ.js","SectionHeading-BUBl0eEF.js","axios-vUo_bRtp.js","Markdown-h4cOoD8d.js","clsx-B2v50t8t.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DJnKvr0g.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BHrrjR1K.js"]}